# Type alias RouteAction

RouteAction: ((table_id, viewname, optsOne, body, optsTwo, queries) => Promise<any>)

#### Type declaration

- - (table_id, viewname, optsOne, body, optsTwo, queries): Promise<any>

  - #### Parameters

    - ##### table_id: number | undefined | null

    - ##### viewname: string

    - ##### optsOne: any

    - ##### body: any

    - ##### optsTwo: ReqRes

    - ##### queries: any

    #### Returns Promise<any>

- Defined in saltcorn-types/base_types.ts:351

Generated using TypeDoc